> ## Documentation Index
> Fetch the complete documentation index at: https://docs.concretehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List funds

> List all funds with pagination support



## OpenAPI

````yaml /openapi.yaml get /funds
openapi: 3.1.0
info:
  title: Concrete API
  description: >
    The Concrete API provides programmatic access to view and create select data
    in Concrete.  The API is primarily intended to facilitate data pipeline
    automations for portfolio management.
  version: 1.0.0
  license:
    name: MIT
  contact:
    name: Concrete Support
    email: support@concretehq.com
    url: https://concretehq.com
servers:
  - url: https://app.concretehq.com/api/v1
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Authentication and member information
  - name: Companies
    description: Portfolio company management
  - name: Funds
    description: Fund and portfolio management
  - name: Meetings
    description: External meeting imports
  - name: Notes
    description: Notes attached to companies and people
  - name: Connections
    description: Data connections and message uploads
  - name: Trackers
    description: Tracked metrics and their per-company value history
paths:
  /funds:
    get:
      tags:
        - Funds
      summary: List funds
      description: List all funds with pagination support
      operationId: listFunds
      parameters:
        - name: pageToken
          in: query
          description: Token for pagination to get next page
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: 'Number of results per page (default: 100, max: 100)'
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 100
      responses:
        '200':
          description: List of funds
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    FundsResponse:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Fund'
        nextPageToken:
          type: string
          description: Token for fetching next page
          example: next_page_token_here
    Fund:
      type: object
      required:
        - publicId
        - name
      properties:
        publicId:
          type: string
          description: Fund public ID
          example: abc123def456
        name:
          type: string
          description: Fund name
          example: Growth Fund I
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Human-readable error message
          example: Not found
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

````